<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [rm](./bitburner.ns.rm.md)

## NS.rm() method

Delete a file.

**Signature:**

```typescript
rm(name: string, host?: string): boolean;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

name


</td><td>

string


</td><td>

Filename of file to remove. Must include the extension.


</td></tr>
<tr><td>

host


</td><td>

string


</td><td>

_(Optional)_ Hostname/IP of the server on which to delete the file. Optional. Defaults to current server.


</td></tr>
</tbody></table>

**Returns:**

boolean

True if it successfully deletes the file, and false otherwise.

## Remarks

RAM cost: 0.6 GB

Removes the specified file from the current server. This function works for every file type except message (.msg) files.

